Bug 729067 - klist -s segfaults with expired credentials
Summary: klist -s segfaults with expired credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5
Version: 5.5
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: BaseOS QE Security Team
URL: http://krbdev.mit.edu/rt/Ticket/Displ...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 16:23 UTC by gyuyjxz5kv
Modified: 2012-10-12 08:20 UTC (History)
3 users (show)

Fixed In Version: krb5-1.6.1-64.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 03:19:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0306 normal SHIPPED_LIVE Low: krb5 security and bug fix update 2012-02-21 07:24:53 UTC

Description gyuyjxz5kv 2011-08-08 16:23:50 UTC
Description of problem:

With expired credentials, klist -s produces a segfault.

Version-Release number of selected component (if applicable):
krb5 1.6.1-55.el5_6.1

How reproducible: every time

Steps to Reproduce:
1.kinit to get kerberos credentials
2.let the credentials expire
3.klist -s
  
Actual results: segfault

Expected results: return with status code 1


Additional info
Looks like https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=707145
which has been fixed in Fedora.

Comment 7 errata-xmlrpc 2012-02-21 03:19:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0306.html


Note You need to log in before you can comment on or make changes to this bug.